import request from '@/utils/request'

// 查询职业兴趣结论列表
export function listSyOccupationInterstMajor(query) {
  return request({
    url: '/sy/syOccupationInterstMajor/list',
    method: 'get',
    params: query
  })
}

// 查询职业兴趣结论详细
export function getSyOccupationInterstMajor(id) {
  return request({
    url: '/sy/syOccupationInterstMajor/' + id,
    method: 'get'
  })
}

// 新增职业兴趣结论
export function addSyOccupationInterstMajor(data) {
  return request({
    url: '/sy/syOccupationInterstMajor',
    method: 'post',
    data: data
  })
}

// 修改职业兴趣结论
export function updateSyOccupationInterstMajor(data) {
  return request({
    url: '/sy/syOccupationInterstMajor',
    method: 'put',
    data: data
  })
}

// 删除职业兴趣结论
export function delSyOccupationInterstMajor(id) {
  return request({
    url: '/sy/syOccupationInterstMajor/' + id,
    method: 'delete'
  })
}

// 导出职业兴趣结论
export function exportSyOccupationInterstMajor(query) {
  return request({
    url: '/sy/syOccupationInterstMajor/export',
    method: 'get',
    params: query
  })
}